A GNU unified diff generator. Oracle tested against GNU patch 2.7.6

Based on the incomplete diff generator in https://github.com/rust-lang/rust/blob/master/src/tools/compiletest/src/runtest.rs,
but it implements a different format.

```
~/unified-diff$ cargo run Cargo.lock Cargo.toml 
    Finished dev [unoptimized + debuginfo] target(s) in 0.00s
     Running `target/debug/unified-diff Cargo.lock Cargo.toml`
--- Cargo.lock	
+++ Cargo.toml	
@@ -1,14 +1,14 @@
-# This file is automatically @generated by Cargo.
-# It is not intended for manual editing.
-[[package]]
-name = "diff"
-version = "0.1.12"
-source = "registry+https://github.com/rust-lang/crates.io-index"
-checksum = "0e25ea47919b1560c4e3b7fe0aaab9becf5b84a10325ddf7db0f0ba5e1026499"
-
-[[package]]
+[package]
 name = "unified-diff"
 version = "0.1.0"
-dependencies = [
- "diff",
+authors = [
+    "Michael Howell <michael@notriddle.com>",
+    "The Rust Project Developers"
 ]
+edition = "2018"
+
+[[bin]]
+name = "unified-diff"
+
+[dependencies]
+diff = "0.1.10"
~/unified-diff$ rustup override set nightly
~/unified-diff$ cargo fuzz run fuzz_patch
```

